GNU bug report logs - #51636
[PATCH guix] gnu: Add libphonenumber

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: ~rdesfo <rdesfo@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 51636 <at> debbugs.gnu.org and ~rdesfo <rdesfo@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Nov 2021 15:38:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 11:38:57 2021
Received: from localhost ([127.0.0.1]:50178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjNmQ-00086r-S9
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 11:38:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:49044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <outgoing@HIDDEN>) id 1mjJjW-0007ZZ-0J
 for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 07:19:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:32970)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <outgoing@HIDDEN>) id 1mjJjV-0001zG-NU
 for guix-patches@HIDDEN; Sat, 06 Nov 2021 07:19:37 -0400
Received: from mail-b.sr.ht ([173.195.146.151]:36728)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <outgoing@HIDDEN>) id 1mjJjS-0006sG-Fm
 for guix-patches@HIDDEN; Sat, 06 Nov 2021 07:19:37 -0400
Authentication-Results: mail-b.sr.ht; dkim=none 
Received: from git.sr.ht (unknown [173.195.146.142])
 by mail-b.sr.ht (Postfix) with ESMTPSA id 87DB211EF31
 for <guix-patches@HIDDEN>; Sat,  6 Nov 2021 11:19:31 +0000 (UTC)
From: ~rdesfo <rdesfo@HIDDEN>
Date: Sun, 12 Sep 2021 16:24:01 -0400
Subject: [PATCH guix] gnu: Add libphonenumber
Message-ID: <163619757140.1814.16950899744167727157-0@HIDDEN>
X-Mailer: git.sr.ht
To: guix-patches@HIDDEN
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 7bit
MIME-Version: 1.0
Received-SPF: pass client-ip=173.195.146.151; envelope-from=outgoing@HIDDEN;
 helo=mail-b.sr.ht
X-Spam_score_int: 36
X-Spam_score: 3.6
X-Spam_bar: +++
X-Spam_report: (3.6 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_96_XX=3.405,
 FREEMAIL_FORGED_REPLYTO=2.095, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 3.2 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: From: Ryan Desfosses * gnu/package/messaging.scm
 (libphonenumber):
 New variable --- gnu/packages/messaging.scm | 33
 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+) diff --git a/gnu/packages/messaging.scm
 b/gnu/packages/messaging.scm index a7fed957a3..b6a1ba2981 100644 ---
 a/gnu/packages/messaging.scm
 +++ b/gnu/packages/messaging.scm @@ -2616,6 +2616,39 @@ suppor [...] 
 Content analysis details:   (3.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
 date
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.17 listed in wl.mailspike.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 06 Nov 2021 11:38:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ~rdesfo <rdesfo@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

From: Ryan Desfosses <rdes@HIDDEN>

* gnu/package/messaging.scm (libphonenumber): New variable
---
 gnu/packages/messaging.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index a7fed957a3..b6a1ba2981 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -2616,6 +2616,39 @@ support for high performance Telegram Bot creation.")
     (home-page "https://source.puri.sm/Librem5/purple-mm-sms")
     (license license:gpl2+)))
 
+(define-public libphonenumber
+  (package
+   (name "libphonenumber")
+   (version "8.11.3")
+   (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/google/libphonenumber")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "06y3mh1d1mks6d0ynxp3980g712nkf8l5nyljpybsk326b246hg9"))))
+   (arguments
+    `(#:tests? #f ; no tests
+      #:phases
+      (modify-phases %standard-phases
+        (add-after 'unpack 'change-directory
+          (lambda _ (chdir "cpp") #t)))))
+   (build-system cmake-build-system)
+   (native-inputs
+    `(("googletest" ,googletest)
+      ("pkg-config" ,pkg-config)))
+   (inputs
+    `(("boost" ,boost)
+      ("protobuf" ,protobuf)
+      ("icu4c" ,icu4c)))
+   (synopsis "Google's i18n library for parsing and using phone numbers")
+   (description "Google's i18n library for parsing and using phone numbers")
+   (home-page "https://github.com/google/libphonenumber")
+   (license license:asl2.0)))
+
+
 (define-public chatty
  (package
    (name "chatty")
-- 
2.32.0




Acknowledgement sent to ~rdesfo <rdesfo@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#51636; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Dec 2021 22:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.